# How to contribute to directory-command

## Prerequisites:

- Familiarity with [GitHub pull requests](https://help.github.com/articles/using-pull-requests) and issues.
- Knowledge of [markdown](https://help.github.com/articles/markdown-basics/) for editing `.md` documents.
- Understanding of or interest in learning technologies used in this project.

## Types of contributions

Here are a few of the types of contributions that we're looking for. Have an idea but it doesn't fit into this list? [Let us know!](README.md#contact).

### Ideas

Participate in an issues thread or start your own to have your voice heard.

### Design

Create mockups & prototypes for new and revised sections of the site and implement the changes.

### Code

Fix issues or contribute new features to this or any related projects.

### Writing

Contribute your expertise in an area by helping us write the API docs in the code, README.md file, and other documentation.

### Copy editing

Fix typos, clarify language, and generally improve the quality of the content.

## Steps to contributing

- Fork the repository
- Create a branch for your changes
- Make the changes you'd like to contribute. See the "types of contributions" list above to learn more about what we're looking for
- Submit a pull request

## Conduct

In the interest of fostering an open and welcoming environment, we as
contributors and maintainers pledge to making participation in our project and
our community a harassment-free experience for everyone, regardless of age, body
size, disability, ethnicity, gender identity and expression, level of experience,
nationality, personal appearance, race, religion, or sexual identity and
orientation.

We encourage:

- A safe and respectful environment for all participants.
- A place where people are free to fully express their identities.
- Asking questions and avoiding the assumption that everyone has the same context, background, or interests.
- Finding ways for people to be productive with their skills and energy and facilitating this through language of “yes/and”, not “no/but.”
- Encouraging members and participants to listen as much as they speak.
- Striving to build tools that are open for public use. Activities that aim to foster public use, not private gain, are prioritized.
- Ensuring that the relationships and conversations between community members remain respectful, participatory, and productive.

We will exclude you from interaction if you insult, demean, or harass anyone. In particular, we don't tolerate behavior that
excludes people in socially marginalized groups.

If you are unsure what behavior is welcome, the [code of conduct has clear guidelines](CONDUCT.md).

Private harassment is also unacceptable. No matter who you are, if you feel you have been or are being harassed or made uncomfortable by a community member, please contact one of the project maintainers. Whether you're a regular contributor or a newcomer, we care about
making this community a safe place for you and we've got your back.

Likewise any spamming, trolling, flaming, baiting or other attention-stealing behavior is not welcome.

### [Read the code of conduct for more information](CONDUCT.md)

## Communication

See the [README](README.md#contact) for detailed communication and maintainer contact information.

Please follow the conduct guidelines above in all communication about this project. Language issues
are often contentious and we'd like to keep discussion brief, civil and focused
on what we're actually doing, not wandering off into too much imaginary stuff.
